Get NGN wallet by ID
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"message": "wallet retrieved successfully",
"data": {
"id": "33333333-3333-4333-8333-333333333333",
"customerId": "11111111-1111-4111-8111-111111111111",
"availableBalance": "10000.00",
"ledgerBalance": "10000.00",
"walletName": "Main Wallet",
"customerType": "individual",
"virtualAccount": {
"accountNumber": "1234567890",
"bankCode": "035",
"bankName": "Sterling Bank"
}
}
}
{
"status": "error",
"statusCode": 403,
"message": "The wallet you are trying to access does not belong to your business"
}
Virtual Wallets
Get Wallet
Retrieve details of a specific NGN wallet belonging to your business
GET
/
api
/
v1
/
wallets
/
fiat
/
{walletId}
Get NGN wallet by ID
curl --request GET \
--url https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-production.fossapay.com/api/v1/wallets/fiat/{walletId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": true,
"message": "wallet retrieved successfully",
"data": {
"id": "33333333-3333-4333-8333-333333333333",
"customerId": "11111111-1111-4111-8111-111111111111",
"availableBalance": "10000.00",
"ledgerBalance": "10000.00",
"walletName": "Main Wallet",
"customerType": "individual",
"virtualAccount": {
"accountNumber": "1234567890",
"bankCode": "035",
"bankName": "Sterling Bank"
}
}
}
{
"status": "error",
"statusCode": 403,
"message": "The wallet you are trying to access does not belong to your business"
}
Path Parameters
string
required
The unique identifier of a master or customer wallet belonging to your business
Request
string
required
API Key for authentication
Request Example
curl https://api-production.fossapay.com/api/v1/wallets/fiat/33333333-3333-4333-8333-333333333333 \
-H "x-api-key: $FOSSAPAY_API_KEY"
const response = await fetch('https://api-production.fossapay.com/api/v1/wallets/fiat/33333333-3333-4333-8333-333333333333', {
headers: {
'x-api-key': process.env.FOSSAPAY_API_KEY
}
});
const data = await response.json();
const wallet = data.data;
import os
import requests
url = "https://api-production.fossapay.com/api/v1/wallets/fiat/33333333-3333-4333-8333-333333333333"
headers = {"x-api-key": os.environ["FOSSAPAY_API_KEY"]}
response = requests.get(url, headers=headers)
data = response.json()
wallet = data["data"]
Response
boolean
Response status
string
Human-readable response message
object
Show properties
Show properties
Response Example
{
"status": true,
"message": "wallet retrieved successfully",
"data": {
"id": "33333333-3333-4333-8333-333333333333",
"customerId": "11111111-1111-4111-8111-111111111111",
"availableBalance": "10000.00",
"ledgerBalance": "10000.00",
"walletName": "Main Wallet",
"customerType": "individual",
"virtualAccount": {
"accountNumber": "1234567890",
"bankCode": "035",
"bankName": "Sterling Bank"
}
}
}
{
"status": "error",
"statusCode": 403,
"message": "The wallet you are trying to access does not belong to your business"
}
Errors
| Status | Typical cause |
|---|---|
403 Forbidden | The wallet exists but does not belong to the authenticated business |
404 Not Found | Wallet with this ID does not exist |
401 | Missing or invalid API key |

